For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
GuidesAPI Reference
GuidesAPI Reference
  • API Reference
      • GETGet Sync Source
      • GETModel Sync Field Query
      • GETList Syncs
      • POSTCreate Sync
      • GETGet Sync Schedule Options
      • GETGet Sync
      • PUTUpdate Sync
      • DELDelete Model Sync
      • POSTActivate Sync
      • POSTCancel Sync
      • POSTStart Sync
      • GETGet Sync Status
        • GETGet Sync Target Metadata
        • GETGet Sync Target
        • GETList Sync Targets
        • GETGet Target Creation Property Values
Logo
Log inBook a demo
API ReferenceModel SyncTargets

Get Target Creation Property Values

GET
https://app.polytomic.com/api/connections/:id/modelsync/targetobjects/properties/:property
GET
/api/connections/:id/modelsync/targetobjects/properties/:property
$curl https://app.polytomic.com/api/connections/248df4b7-aa70-47b8-a036-33ac447e668d/modelsync/targetobjects/properties/property \
> -H "X-Polytomic-Version: X-Polytomic-Version" \
> -H "Content-Type: application/json" \
> -u "<username>:<password>"
1{
2 "data": {
3 "enum": true,
4 "id": "account",
5 "title": "Account ID",
6 "values": [
7 {
8 "label": "Acme Corporation (7890123)",
9 "value": "7890123::urn:li:organization:123456"
10 },
11 {
12 "label": "Globex Inc. (4567890)",
13 "value": "4567890::urn:li:organization:654321"
14 }
15 ]
16 }
17}
Returns the valid values for a target-creation property on a connection that supports creating new target objects. Connections which support creating new sync target objects (destinations) will return `target_creation` with their [target object list](../../../../../../../api-reference/model-sync/targets/list). This endpoint will return possible values for properties where `enum` is `true`. If the connection does not support creating new target objects, an HTTP 404 will be returned. The `values` array lists the valid options (and labels) for the property. Each member of the `values` array has a `label` and `value`. For exaample, ```json { "data": [ { "id": "account", "title": "Account ID", "enum": true, "values": [ { "value": "1234567::urn:li:organization:987654", "label": "Polytomic Inc. (1234567)" } ] } ] } ``` The `value` for the selected option should be passed when [creating a sync](../../../../../../../api-reference/model-sync/create).
Was this page helpful?
Previous

List Executions

Next

Returns the valid values for a target-creation property on a connection that supports creating new target objects.

Connections which support creating new sync target objects (destinations) will return target_creation with their target object list. This endpoint will return possible values for properties where enum is true.

If the connection does not support creating new target objects, an HTTP 404 will be returned.

The values array lists the valid options (and labels) for the property. Each member of the values array has a label and value. For exaample,

1{
2 "data": [
3 {
4 "id": "account",
5 "title": "Account ID",
6 "enum": true,
7 "values": [
8 {
9 "value": "1234567::urn:li:organization:987654",
10 "label": "Polytomic Inc. (1234567)"
11 }
12 ]
13 }
14 ]
15}

The value for the selected option should be passed when creating a sync.

Authentication

AuthorizationBasic

This is the Polytomic deployment key (on-premises only)

OR
AuthorizationBearer
This is the Polytomic API key

Path parameters

idstringRequiredformat: "uuid"
propertystringRequired

Headers

X-Polytomic-VersionstringRequired

Response

OK
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error